Subject: [lisp] Feedback on draft-ietf-lisp-introduction-00

From: Paul Vinciguerra <[email-masked]>
Date: Mon, 22 Oct 2012 16:06:16 +0000

Hi Noel,

I reviewed both your documents over the weekend and I have to say, I think you did a great job of breaking down and classifying all of the LISP components in terms of an overall systems view. Very comprehensive and well thought through.  It was a good use of a few hours of my weekend.  Another part of me said:

"What the hell?  This LISP and my LISP are two totally different animals!"

That may be because our backgrounds are different.  I am a 10 Year CCIE who runs a consulting practice in NY as well as a LISP service provider.  Our focus is solving problems for our customers, now.  To that point, our entire business has been running on LISP for 18+ months and we have been providing LISP services to our customers for 12+ months.  All our datacenter customers are accessed through our PxTRs - for voice, video, VPN's and web.

We offer commercially supported gateways and mapping systems as well as maintain one of the DDT Roots,  vxnet-ddt.rloc.lisp4.net.  We are outside of the LISP Beta-network, but connect to it through the DDT.  We have customers who have chosen not to be part of the DDT - yet.  From my conversations, I know of 10's if not 100's of thousands of EID's today.

I'd like to say that your self-deployment concept is on the mark.  People are deploying LISP because it gives them value today.  The corollary to that is that until you give these deployments a reason, that is, some value to joining the DDT, the Internet at large doesn't gain much benefit. In a lot of ways, it's like network summarization, it doesn't have to be done, but when it is, it can save on resources.

Islands of LISP are continuing to grow. This is not just because separating location from identity lifts technical constraints on customers.  Enhancements within the protocol provide value on their own.  In just comparing GRE to LISP for a second,   LISP's fragmentation of packets into equal sized packets cuts down on the typical saw-tooth pattern to fragmentation and cuts down on jitter.  The choice to use UDP for tunneling allows for per-flow load-balancing and better utilization of Etherchannels.

LISP is better for multihoming than BGP.  I'm not looking to start a flame war, BGP belongs in the core connecting the providers RLOC's, not the edges where the EID's are.  Today, we have better tools thanks to LISP.  Smaller providers can focus on connectivity over announcability.  "Broadband bonding" (not my term) is possible with LISP.

LISP is a tool to bring new capabilities to old MPLS clouds.

All of these incremental benefits and more are the reasons that LISP is being deployed today.

Unfortunately, none of this does anything to address scaling within the Internet until we give these Islands of LISP a reason to add their IED's into the DDT.

I was fortunate enough to have the opportunity to address this at NANOG55.  The islands of LISP are going to continue to erode at ISP's transit costs and will be the (financial) reason that drives the adoption of the DDT and what brings the value to the Internet at large.

If this is the wrong forum, I do apologize,  fixing the Internet is above my pay-grade, but I'd like to do my part.  All I can do is share with you all my experiences with LISP and share with you all what I see happening and where things are going.

Regards,

Paul Vinciguerra
PRESIDENT
120 W Park Avenue, Suite 308
Long Beach, NY 11561
P: 516-977-2095  *  F: 516-977-2482  *  TF: 866-998-4624
vinciconsulting.com